Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.faces.webflow
Class JsfManagedBeanResolver

    java.lang.Object
      javax.el.ELResolver
          org.springframework.faces.webflow.JsfManagedBeanResolver

    public class JsfManagedBeanResolver

extends javax.el.ELResolver

ELResolver that checks request, session, and application scopes for existing JSF-managed beans. This allows traditional JSF-managed beans (defined in faces-config.xml) to be resolved through expressions in a flow definition. The preferred approach is to instead use Spring to configure such beans, but this is meant to ease migration for users with existing JSF artifacts. This resolver will delegate to a temporary FacesContext so that JSF managed bean initialization will be triggered if the bean has not already been initialized by JSF.

Author:
  Jeremy Grelle

Field Summary

Fields inherited from class javax.el.ELResolver
`RESOLVABLE_AT_DESIGN_TIME, TYPE`

Constructor Summary
`JsfManagedBeanResolver()`

Method Summary
`java.lang.Class` | `getCommonPropertyType(javax.el.ELContext context, java.lang.Object base)`
`java.util.Iterator` | `getFeatureDescriptors(javax.el.ELContext context, java.lang.Object base)`
`java.lang.Class` | `getType(javax.el.ELContext context, java.lang.Object base, java.lang.Object property)`
`java.lang.Object` | `getValue(javax.el.ELContext context, java.lang.Object base, java.lang.Object property)`
`boolean` | `isReadOnly(javax.el.ELContext context, java.lang.Object base, java.lang.Object property)`
`void` | `setValue(javax.el.ELContext context, java.lang.Object base, java.lang.Object property, java.lang.Object value)` Sets a bean value if a corresponding key is found in one of the ExternalContext scopes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JsfManagedBeanResolver

    public JsfManagedBeanResolver()

Method Detail

### getCommonPropertyType

    public java.lang.Class getCommonPropertyType(javax.el.ELContext context,
                                                 java.lang.Object base)

  Specified by:
    `getCommonPropertyType` in class `javax.el.ELResolver`

### getFeatureDescriptors

    public java.util.Iterator getFeatureDescriptors(javax.el.ELContext context,
                                                    java.lang.Object base)

  Specified by:
    `getFeatureDescriptors` in class `javax.el.ELResolver`

### getType

    public java.lang.Class getType(javax.el.ELContext context,
                                   java.lang.Object base,
                                   java.lang.Object property)

  Specified by:
    `getType` in class `javax.el.ELResolver`

### getValue

    public java.lang.Object getValue(javax.el.ELContext context,
                                     java.lang.Object base,
                                     java.lang.Object property)

  Specified by:
    `getValue` in class `javax.el.ELResolver`

### isReadOnly

    public boolean isReadOnly(javax.el.ELContext context,
                              java.lang.Object base,
                              java.lang.Object property)

  Specified by:
    `isReadOnly` in class `javax.el.ELResolver`

### setValue

    public void setValue(javax.el.ELContext context,
                         java.lang.Object base,
                         java.lang.Object property,
                         java.lang.Object value)

  Sets a bean value if a corresponding key is found in one of the ExternalContext scopes.

  Specified by:
    `setValue` in class `javax.el.ELResolver`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD